Greenhouse Partner Authentication

This guide will help you to use your greenhouse partner credentials to connect to greenhouse.

Greenhouse Partner Authentication

If you are a Greenhouse Partner, your Greenhouse partnership credentials can be used with Knit.

1. Provide Your Greenhouse Partnership Details

Please share the following details with the Knit team:

  • Partnership credentials

    • Client ID
    • Client Secret
  • Email ID associated with the organization

  • Required scopes

2. Add Knit's Redirect URI

Add the following URL as the Redirect URI in your Greenhouse application:

https://app.getknit.dev/oauth/authorize

3. Configure the Required Permissions scopes in Greenhouse

The permissions or scopes that you need depend on the APIs and syncs you plan to use through Knit.

Enable only the permissions required for your specific use case.

ats_jobs Sync

For the ats_jobs sync, enable:

  • Job Interview Stages — List Job Interview Stages
  • Jobs — List Jobs
  • Job Boards — List Job Boards
  • Job Posts — List Job Posts
  • Departments — List Departments
  • Offices — List Offices
  • Job Hiring Managers — List Job Hiring Managers
  • Job Owners — List Job Owners
  • Users — List Users

ats_applications Sync

For the ats_applications sync, enable:

  • Applications — List Applications
  • Candidates — List Candidates
  • Application Stages — List Application Stages
  • Sources — List Sources
  • Interviews — List Interviews
  • Job Interviews — List Job Interviews
  • Interviewers — List Interviewers
  • Offers — List Offers
  • Attachments — List Attachments
  • Rejection Details — List Rejection Details
  • Rejection Reasons — List Rejection Reasons
  • Referrers — List Referrers
  • Users — List Users

ats_candidates Sync

For the ats_candidates sync, enable:

  • Candidates — List Candidates
  • Applications — List Applications
  • Candidate Educations — List Candidate Educations
  • Attachments — List Attachments

Other APIs and Syncs

For any other APIs or syncs, enable the permissions relevant to the use case you are implementing.

For example, if you want to use the List EEOC or Get EEOC APIs through Knit, enable:

  • EEOC — List EEOC

Note: The permissions listed above are examples based on specific Knit use cases. Make sure your Greenhouse application has all the permissions required by the APIs and syncs you intend to use.

4. Choose How to Provide Your Credentials

You can provide your Greenhouse client credentials to Knit in either of the following ways.

Option A: Share Credentials with the Knit Team

Share your:

  • Greenhouse Client ID
  • Greenhouse Client Secret
  • Organization email ID
  • Required scopes

Once we have these details, the Knit team will configure the Greenhouse integration accordingly.

Option B: Register Credentials Directly with Knit

Alternatively, you can register your Greenhouse client credentials directly with Knit using the Client Credentials Register API.

Use the following API:

curl --location 'https://api.getknit.dev/v1.0/oauth.creds.register' \
--header 'Authorization: Bearer <API_KEY>' \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--data '{
    "appId": "greenhouse",
    "clientId": "value",
    "clientSecret": "value",
    "scopes": "space seperated scopes"
}'

Replace the following values:

ParameterDescription
<API_KEY>Your Knit API key
clientIdYour Greenhouse Client ID
clientSecretYour Greenhouse Client Secret
scopesSpace-separated Greenhouse scopes/permissions required for your use case

Note: The Client Credentials Register API is a one-time API call.

Important

Once your Greenhouse client credentials are registered, they become the default authentication method for all your Greenhouse integrations going forward.

Any existing integrations created using customer/client credentials will need to be re-integrated.


Did this page help you?